using System;
using System.Collections.Generic;

namespace Vage
{
    internal class Program
    {
        static void Main(string[] args)
        {
            //prva linija
            string[] linija1 = Console.ReadLine().Split(' ');

            int n = int.Parse(linija1[0]);  //Broj vagi
            int m = int.Parse(linija1[1]);  //Broj pitanja

            //Liste
            List<int> ListaDi = new List<int>() { };
            List<int> ListaUi = new List<int>() { };
            List<int> ListaLi = new List<int>() { };
            List<int> ListaRi = new List<int>() { };
            List<int> ListaXi = new List<int>() { };

            //Linija2
            for (int i = 0; i < n; i++)
            {
                string[] linija2 = Console.ReadLine().Split(' ');
                int di = int.Parse(linija2[0]);
                int ui = int.Parse(linija2[1]);
                ListaDi.Add(di);
                ListaUi.Add(ui);
            }

            //Linija3
            for (int i = 0; i < m; i++)
            {
                string[] linija3 = Console.ReadLine().Split(' ');
                int li = int.Parse(linija3[0]);
                int ri = int.Parse(linija3[1]);
                int xi = int.Parse(linija3[2]);
                ListaLi.Add(li);
                ListaXi.Add(xi);
                ListaRi.Add(ri);
            }

            int BrojVagiKojePodrzavajuX = 0;

            //Za svako pitanje
            for (int i = 0; i < m; i++)
            {
                //Provera
                for (int j = ListaLi[i] - 1; j < ListaRi[i]; j++)
                {
                    if (ListaXi[i] >= ListaDi[j] && ListaXi[i] <= ListaUi[j])
                    {

                        BrojVagiKojePodrzavajuX = BrojVagiKojePodrzavajuX + 1;

                    }
                }

                //Ispisivanje rezultata
                Console.WriteLine(BrojVagiKojePodrzavajuX.ToString());

                //Resetovanje
                BrojVagiKojePodrzavajuX = 0;
            }
        }
    }
}